Page MenuHomePhabricator

SPIKE: Check status of ContributionTracking code on donate wiki landing page
Closed, ResolvedPublic2 Estimated Story PointsSpike

Description

Contribution Tracking was determined to have been broken on donate wiki, a rather long time ago. We will need to determine if contributions that go through donate wiki (emails, sidebar links, everything not coming from a "modern" banner) is getting its initial contribution tracking data from donate wiki appropriately.

If there are problems there, new cards should be created and triaged.

Big symptom: seeing referrers in ContributionTracking table that were saying "donatewiki" instead of where it was actually coming from.

Event Timeline

K4-713 created this task.Aug 11 2015, 9:31 PM
K4-713 raised the priority of this task from to Needs Triage.
K4-713 updated the task description. (Show Details)
K4-713 added a project: Fundraising-Backlog.
K4-713 added a subscriber: K4-713.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 11 2015, 9:31 PM
K4-713 set Security to None.Aug 11 2015, 9:32 PM
K4-713 added a subscriber: atgo.
DStrine triaged this task as Medium priority.Aug 11 2015, 9:42 PM
DStrine updated the task description. (Show Details)
DStrine added a subscriber: CCogdill_WMF.
awight edited a custom field.Sep 15 2015, 5:43 PM
Ejegg closed this task as Resolved.Jun 12 2020, 2:04 AM
Ejegg claimed this task.
Ejegg added a subscriber: Ejegg.

Donatewiki should now be passing through the referrer as referrer= on the QS. The ContributionTracking code can't work from donatewiki.

Restricted Application changed the subtype of this task from "Task" to "Spike". · View Herald TranscriptJun 12 2020, 2:04 AM